"""
PatchCommander - A Python-based tool for streamlining AI-assisted code development.

PatchCommander processes code changes generated by Large Language Models (LLMs)
that follow a specific tag-based syntax. By instructing LLMs to format their code
suggestions using PatchCommander's tags, developers can easily and reliably
apply AI-generated changes across their codebase.
"""
VERSION = '1.1.6'
APP_NAME = 'PatchCommander'

def _get_version():
    """Get the package version."""
    return VERSION

__version__ = _get_version()
from .cli import main

# Make config_ui available for import
# Will be dynamically imported when needed to avoid loading Textual unnecessarily
try:
    from .config_ui import run_config_ui
except ImportError:
    # Textual might not be installed or available
    # This is fine, as we'll handle the fallback in cli.py
    pass